package ru.yandex.autotests.directapi.darkside.connection;

import org.apache.http.client.utils.URIBuilder;

/**
 * User: omaz
 * Date: 26.08.13
 * Конфигуратор адресов сервисов
 */
public class IntapiJsonRPCConfig extends IntapiConfig {
    public IntapiJsonRPCConfig(String predefinedHost) {
        super(predefinedHost);
    }

    public IntapiJsonRPCConfig() {

    }

    @Override
    protected void configureHost(URIBuilder builder) {
        builder.setPath("/jsonrpc");
        if (injectServiceSubDomain()) {
            builder.setHost(INTAPI_PREFIX + host.getHost());
        }
    }
}
